qarte does not load data for arte LiveWeb - all fields empty - contrary, arte+7 works

Bug #1087675 reported by Torsten Eichstädt on 2012-12-07
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Qarte
Undecided
VinsS

Bug Description

looks like qarte has problems to connect to arte LiveWeb. Everything works for arte+7, but all remains empty for arte LiveWeb.

VinsS (vincent-vandevyvre) wrote :

Please relaunch Qarte in a terminal with the debug argument and paste here the feedback.

$ qarte -d

Download full text (27.0 KiB)

Hello Vincent,

thanks for your quick response.
The last two lines translated are:
python: ../../src/xcb_io.c:178: dequeue_pending_request: assertion
»!xcb_xlib_unknown_req_in_deq« failed.
Aborted (core dumped)

This did not happen before - now it happens each time I start qarte, no matter
if from the terminal or via the KDE GUI.
Hmmm.

Am Freitag, 7. Dezember 2012, 12:42:19 schrieben Sie:
> Please relaunch Qarte in a terminal with the debug argument and paste
> here the feedback.
>
> $ qarte -d
paul@paul-LIFEBOOK:~$ qarte -d
17:09:49: INFO - qarte Main thread: <_MainThread(MainThread, started
140402498701056)>
17:09:49: INFO - ui_main setup main window
17:09:49: INFO - ui_main set page arte+
17:09:49: INFO - ui_main set button's group arte+
17:09:49: INFO - ui_main set basket arte+
17:09:49: INFO - ui_main set dwnld button arte+
17:09:49: INFO - ui_main set page arteLive
17:09:49: INFO - ui_main set categories buttons
17:09:49: INFO - ui_main set button's group arteLive
17:09:49: INFO - ui_main set basket arteLive
17:09:49: INFO - ui_main set dwnld buttons
17:09:49: INFO - ui_main set page arteLive extra
17:09:49: INFO - ui_main set extra categories buttons
17:09:49: INFO - ui_main set button's group arteLive extra
17:09:49: INFO - ui_main set basket arteLive extra
17:09:49: INFO - ui_main set extra dwnld buttons
17:09:49: INFO - ui_main set menu bar
17:09:49: INFO - ui_main set status bar
17:09:49: INFO - ui_main set actions
17:09:49: INFO - ui_main make connections
17:09:49: INFO - ui_main set theme
17:09:49: INFO - ui_main main window complete
17:09:49: INFO - utils Updating
17:09:50: INFO - utils File /home/paul/.Qarte/livedata_de.py saved
17:09:50: INFO - utils The file has been updated at: Mo 17 Sep 2012 09:20:46
CEST

17:09:50: INFO - artePlus arte+7 folder: /home/paul/Videos/arte/arte+7
17:09:50: INFO - parsers Get page: http://liveweb.arte.tv/de
17:09:50: INFO - parsers get page http://liveweb.arte.tv/de
17:09:50: INFO - parsers Run arte+7 parser: <Thread(Thread-1, started
140402089477888)>
17:09:50: INFO - parsers Get page: http://videos.arte.tv/de/videos/
17:09:50: INFO - parsers Get arteLiveWeb video's data in 'Jazz & Blues'
17:09:50: INFO - parsers Threads enum: [<_MainThread(MainThread, started
140402498701056)>, <Thread(Thread-1, started 140402089477888)>,
<Thread(Thread-2, started 140402011141888)>]
17:09:50: INFO - parsers get page
http://download.liveweb.arte.tv/o21/liveweb/rss/home-34-de.rss
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPainter::begin: Paint device returned engine == 0, type: 2
QPixmap: It is not safe to use pixmaps outside the GUI thread
QPixmap: It is not safe to use pixmaps outside the GUI thread
QObject: Cannot create children for a parent that is in a different thread.
(Parent is Oxygen::WidgetStateEngine(0x2a90120), parent's thread is
QThread(0x274ec60), current thread is QThread(0x7fb1dc0030c0)
QObject::installEventFilter(): Cann...

VinsS (vincent-vandevyvre) wrote :

Thanks,

Strange, I can reproduce it with the German pages but not with the French pages.

Anyway, delete your file ~/.Qarte/config.cfg and relaunch Qarte. You'll must reset your videos folder at the next startup.

I need to made some introspection ...

Changed in qarte:
status: New → In Progress
assignee: nobody → VinsS (vincent-vandevyvre)
oo.o (oo-o+launchpad) wrote :

I have the same problem.
It seems that one rss file could not be found. (see the attachment)

22:19:57: INFO - parsers get page http://download.liveweb.arte.tv/o21/liveweb/rss/home-34-de.rss
22:19:57: INFO - parsers page error: HTTP Error 404: Not Found

To the error message I have changed the parsers.py:

=== modified file 'parsers.py'
--- parsers.py 2012-09-17 17:45:00 +0000
+++ parsers.py 2013-01-27 23:26:59 +0000
@@ -254,6 +254,7 @@
         try:
             content = urllib2.urlopen(url).read()
         except IOError as why:
+ logger.info('page error: {0}'.format(why))
             return None, why

         return content, None
@@ -601,6 +602,7 @@
         try:
             content = urllib2.urlopen(url).read()
         except IOError as why:
+ logger.info('page error: {0}'.format(why))
             return None, why

         return self.unescape(content), None
@@ -907,6 +909,7 @@
             try:
                 img = urllib2.urlopen(self.pix).read()
             except Exception, why:
+ logger.info('page error: {0}'.format(why))
                 return None

             else:

VinsS (vincent-vandevyvre) wrote :

Fixed in revision 83.

I plan to release the version 1.6.0 the next week-end but if you delete your file ~/.Qarte/config.cfg and relaunch Qarte you should continue to use the program.

VinsS (vincent-vandevyvre) wrote :

Version 1.6.0 is released.

Changed in qarte:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments